Errore di sintassi PHP: unexpected T_CONST, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or ‘}’

Implementando il plug-in “Invite Friends” per Buddypress che potete scaricare dalla pagina dedicata del mio blog, oppure da buddypressDev ho ricevuto segnalazione di un errore:

PHP Parse error: syntax error, unexpected T_CONST, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}'

Riscontravo questo errore all’inizio del file proprio dove incominiciava la dichiarazione di una classe.
Questo perchè molti server, ancora, rendono disponibili più versioni di php contemporaneamente. Ma questo richiede, per far capire al server quale avviare ad ogni richiesta, di creare i file con estensioni differenti: .php o .php5.

Quindi per questo tipo di problema si può richiedere all’utente, che gestisce il server, di rendere attivo una sola versione di Php-Apache superiore alla versione 5 oppure di rinominare tutti i file con i quali si riceve l’errore con estensione .php5

Lascia un commento